std::range_error(3cxx)

NAME
std::range_error

SYNOPSIS

#include <stdexcept>

Inherits std::runtime_error.

  Public Member Functions

range_error (const char *)
range_error (const range_error &)=default
range_error (const string &__arg)
range_error (range_error &&)=default
range_error & operator= (const range_error &)=default
range_error & operator= (range_error &&)=default
virtual const char * what () const noexcept

Detailed Description

Thrown to indicate range errors in internal computations.

Member Function Documentation

  virtual const char * std::runtime_error::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::experimental::filesystem::v1::filesystem_error, std::filesystem::filesystem_error, and std::ios_base::failure.

References what().

Referenced by what().

Author

Generated automatically by Doxygen for libstdc++ from the source code.